using System.Collections;
using System.Collections.Generic;
using System.Linq;
using UnityEngine;
using UnityEngine.Events;

public class ToyotaRaycastClickToAction : MonoBehaviour
{
    private bool switch_action;
    

    public UnityEvent event_first;
    public UnityEvent event_second;

    public void AccionarSwitch()
    {
        if (switch_action)
        {
            switch_action = false;
            event_first.Invoke();
        }
        else
        {
            switch_action = true;
            event_second.Invoke();
        }
    }
}
